package compbio.listeners;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.statistic.StatisticsProt;

/**
 * Servlet implementation class ProtServlet
 */
@WebServlet("/ProtServlet")
public class ProtServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String flag = request.getParameter("protein");
		String prot = request.getParameter("prot");
		String checkbox = request.getParameter("option");
		StatisticsProt sp = new StatisticsProt();
		if (checkbox != null) {
			request.setAttribute("result", sp.readProtID());
		} else {
			if (flag.equals("whole"))
				request.setAttribute("result", sp.readProteins(prot));
			else
				request.setAttribute("result", sp.readPart(prot));
		}
		request.setAttribute("prot", prot);
		request.setAttribute("flag", flag);
		request.setAttribute("checkbox", checkbox);
		RequestDispatcher rd = request.getRequestDispatcher("/ReportProt.jsp");
		rd.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
